"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7880>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7920>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a79c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7a60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7b00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7ba0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7c40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7ce0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7d80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7e20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7ec0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa0670a7f60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80040>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e800e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80180>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80220>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e802c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80360>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80400>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e804a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80540>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e805e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80680>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80720>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e807c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80860>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80900>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e809a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80a40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80ae0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80b80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80c20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80cc0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80d60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80e00>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80ea0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80f40>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e80fe0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81080>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81120>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e811c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81260>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81300>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e813a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81440>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e814e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81580>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81620>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e816c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81760>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81800>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e818a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e819e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81a80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81b20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81bc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81c60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81d00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81da0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81e40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81ee0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e81f80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82020>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e820c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82160>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82200>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e822a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82340>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e823e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82480>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82520>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e825c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82660>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82700>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e827a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82840>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e828e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82980>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82a20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82b60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82ac0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82c00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa065e82d40>)]
name: str = 'fr_HOCCN'
